<template>
  <div class="slds-is-relative container" style={maxWidth}>
    <template for:each={slidesData} for:item="slide">
      <div key={slide.index} class={slide.slideClass}>
        <div if:false={hideSlideNumber} class="slideNumbers">{slide.index}/{slidesData.length}</div>
        <img src={slide.image} alt={slide.description} style={maxHeight} />
        <div if:false={hideSlideText} class="text-section slds-p-around_medium">
          <h3 class="slds-text-heading_large">{slide.heading}</h3>
          <div class="slds-text-heading_small">{slide.description}</div>
        </div>
      </div>
    </template>
    <a if:false={hideNavigationButtons} class="prev" onclick={slideBackward}>&#10094;</a>
    <a if:false={hideNavigationButtons} class="next" onclick={slideForward}>&#10095;</a>
  </div>
  <div if:false={hideNavigationDots} class="slds-text-align_center slds-p-around_medium">
    <template for:each={slidesData} for:item="slide">
      <span key={slide.index} class={slide.dotClass} data-id={slide.index} onclick={showSlide}></span>
    </template>
  </div>
</template>
